Bug 38267 - Doesn't reset the merged regions in the target region of shiftRows
Summary: Doesn't reset the merged regions in the target region of shiftRows
Status: RESOLVED WONTFIX
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.5-FINAL
Hardware: PC Windows XP
: P2 enhancement (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-13 21:24 UTC by Alex Savitsky
Modified: 2015-03-01 21:42 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Savitsky 2006-01-13 21:24:28 UTC
When shifting rows using HSSFSheet.shiftRows(), the merged regions from the 
source area are copied to the target one, but the existing regions from the 
target area aren't removed. Would probably make sense to clear them, if we're 
copying the regions from the source area.
Comment 1 Dominik Stadler 2014-07-27 19:59:34 UTC
Is this still an issue? If yes, can you provide a short unit-test which reproduces the problem?
Comment 2 Dominik Stadler 2015-03-01 21:42:59 UTC
No update for a long time => closing this for now. Please reopen with more information if this is still a problem for you.